CVE-2004-2515
CVSS7.2
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:21
NMCO    

[原文]Format string vulnerability in VMware Workstation 4.5.2 build-8848, if running with elevated privileges, might allow local users to execute arbitrary code via format string specifiers in command line arguments. NOTE: it is not clear if there are any default or typical circumstances under which VMware would be running with privileges beyond those already available to the attackers, so this might not be a vulnerability.


[CNNVD]VMWare Workstation本地格式字符串漏洞(CNNVD-200412-971)

        VMware Workstation 4.5.2 build-8848版本存在格式字符串漏洞。如果该漏洞带有提高的特权运行,本地用户就可能借助命令行参数中的格式字符串说明符执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2515
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2515
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-971
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18297
(UNKNOWN)  XF  vmware-format-string(18297)
http://www.securityfocus.com/bid/11737
(UNKNOWN)  BID  11737
http://www.osvdb.org/12169
(UNKNOWN)  OSVDB  12169
http://archives.neohapsis.com/archives/fulldisclosure/2004-11/1320.html
(UNKNOWN)  FULLDISC  20041129 Format string flaw in VMWare Workstation 4.5.2 build-8848.

- 漏洞信息

VMWare Workstation本地格式字符串漏洞
高危 格式化字符串
2004-12-31 00:00:00 2006-01-24 00:00:00
本地  
        VMware Workstation 4.5.2 build-8848版本存在格式字符串漏洞。如果该漏洞带有提高的特权运行,本地用户就可能借助命令行参数中的格式字符串说明符执行任意代码。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

12169
VMware Workstation Format String Arbitrary Local Code Execution
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

VMware Workstation contains a flaw that may allow a malicious user to do privilege escalation. The issue is triggered when VMware is installed with suid and format specifier characters are passed using the command line. It is possible that the flaw may facilitate privilege escalation resulting in a loss of confidentiality.

- 时间线

2004-11-29 Unknow
2004-11-29 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站